Subject: bug#55578: 29.0.50; auto-revert-use-notify vs 'git checkout -- <file>'

From: Michael Albinus <[email-masked]>
Date: Tue, 24 May 2022 20:09:46 +0200

Michael Albinus <[email-masked]> writes:

Hi,

> What we could implement is a mechanism, which checks while polling,
> whether file notifications could be instantiated instead. This does not
> need to be restricted to the case, that the file was deleted and then
> created, again. It could be activated for any auto-revert polling
> activitiy, and it must be an opt-in to be configured by the user. Or at
> least restricted to use cases where it would make sense, like monitoring
> a git repository. For example a minor mode `auto-revert-restart-notify-mode'.

Oops, I've just retested. Looks like we have already this. While
polling, auto-revert-buffer checks already whether it could
(re-)activate file notification for that file.

So there's nothing left to do, right?

Best regards, Michael.